Apps lens should bundle its own gsettings schema

Bug #890660 reported by Mikkel Kamstrup Erlandsen on 2011-11-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Mikkel Kamstrup Erlandsen
unity-lens-applications
Medium
Mikkel Kamstrup Erlandsen
unity (Ubuntu)
Undecided
Unassigned
unity-lens-applications (Ubuntu)
Medium
Mikkel Kamstrup Erlandsen

Bug Description

Currently unity-lens-applicstion's alt-f2 runner relies on some gsettings defined in lp:unity. This gives a hard runtime dep on unity being installed. This makes refactoring, testing, and accepting 3rd party patches harder.

It should include its own schemas.

Related branches

Changed in unity-lens-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 5.0.0
status: New → In Progress

See bug #785101 for a relevant consumer of this

Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 5.0.0
status: New → Fix Committed
Changed in unity-lens-applications:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-11-22
Changed in unity-lens-applications (Ubuntu):
status: New → Fix Committed
Omer Akram (om26er) on 2011-12-08
Changed in unity-lens-applications (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Didier Roche (didrocks) on 2012-01-12
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 5.0.0-0ubuntu1

---------------
unity-lens-applications (5.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Apps lens should bundle its own gsettings schema (LP: #890660)
    - unable to remove the "Apps Available for Download" section from
  * debian/control:
    - don't dep anymore on zeitgeist-extension-fts. This functionality
      is now provided by zeitgeist-core which is installed by libzeitgeist.
    - bump libunity-dev to latest
  * debian/source:
    - kill debian source 3, works not well with bzr merge-upstream
 -- Didier Roche <email address hidden> Thu, 12 Jan 2012 18:39:08 +0100

Changed in unity-lens-applications (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers